Subject: Re: bug#10885: Replace expressions: enhance functionality when searching in filled paragraphs

From: Juri Linkov <[email-masked]>
Date: Sun, 11 Mar 2012 12:48:08 +0200

>> There is one problem of using `search-whitespace-regexp'
>> in `query-replace-regexp'.
>>
>> When the user doesn't want `SPC' to match any sequence of whitespace
>> characters in regexp isearch `C-M-s', it it possible to type `C-q SPC'.
>>
>> But how to do the same in `query-replace-regexp'?
>>
>> `C-M-% replace C-q SPC this' doesn't quote SPC as a literal character.
>
> FWIW: the isearch commands have this problem too, when editing the
> search string from the minibuffer.
>
> For example: C-M-s replace this M-e M-b DEL C-q SPC RET
> --> The new search string doesn't have the intended quoted space.

Actually this `search-spaces-regexp' thing is rather a feature of word search
intermixed with the pure regexp search into the hybrid half-word/regexp search.

What `C-q SPC' does is adding the invisible regexp `[ ]' to the search string.

In the minibuffer `C-q SPC' could do the same, not necessarily invisibly
because you still see `[ ]' when typing e.g. `C-M-s replace C-q SPC this M-e'